# NP_TMcode project

This project is the T-matrix based suite of codes by the Messina group (Borghese, Saija, Iatì) to compute scattering and extinction properties of realistic particles that can be represented as an arbitrary assembly of individually spherically symmetric subparticles, whose classical optical constants are known. Using an arbitrarily large set of arbitrarily small spherically symmetric subparticles one can obviously approximate any real particle, very much as small enough pixels can approximate an image.

The aim of the project, funded by PNRR-CNS, is to refactor the original, very old legacy Fortran codes, casting them in a modern language that allows them to be parallelised and run efficiently on current and forthcoming HPC architectures.

The current implementation offers a set of elementary tests to check that the original FORTRAN code can be compiled and executed on a limited set of pre-defined input data. The functionality of this initial stage can be verified by cloning the gitLab repository on a local machine and building the binaries from the `src` folder.

*NOTE:* The building process requires a working installation of the GNU Compiler Collection (GCC), of the GNU FORTRAN compiler (gfortran) and of the GNU make builder.
